| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::StreamSerialiser::Chunk Struct Reference

Definition of a chunk of data in a file. More...

`#include <OgreStreamSerialiser.h>`

Inheritance diagram for Ogre::StreamSerialiser::Chunk:
[legend]

## Public Member Functions
| Chunk ()

## Public Attributes
uint32 | id
| Identifier of the chunk (for example from makeIdentifier) (stored) More...
uint32 | length
| Length of the chunk data in bytes, excluding the header of this chunk (stored) More...
uint32 | offset
| Location of the chunk (header) in bytes from the start of a stream (derived) More...
uint16 | version
| Version of the chunk (stored) More...

## Detailed Description

Definition of a chunk of data in a file.

## Constructor & Destructor Documentation

## ◆ Chunk()

Ogre::StreamSerialiser::Chunk::Chunk | ( |  | ) |
| inline

## Member Data Documentation

## ◆ id

uint32 Ogre::StreamSerialiser::Chunk::id

Identifier of the chunk (for example from makeIdentifier) (stored)

## ◆ version

uint16 Ogre::StreamSerialiser::Chunk::version

Version of the chunk (stored)

## ◆ length

uint32 Ogre::StreamSerialiser::Chunk::length

Length of the chunk data in bytes, excluding the header of this chunk (stored)

## ◆ offset

uint32 Ogre::StreamSerialiser::Chunk::offset

Location of the chunk (header) in bytes from the start of a stream (derived)

The documentation for this struct was generated from the following file:

- OgreStreamSerialiser.h